Jala 1.3

## Class jala.Form.Component.Password

    Object
       |
       +--jala.Form.Component.Input
             |
             +--jala.Form.Component.Password

class jala.Form.Component.Password
extends jala.Form.Component.Input

Subclass of jala.Form.Component.Input which renders and validates a password input tag.
Defined in Form.js

Constructor Summary
`jala.Form.Component.Password (<String> name)` Constructs a newly created Password component instance

Method Summary
`void` | `renderControls(<Object> attr, <Object> value, <Object> reqData)` Renders a password input tag to the response.

Methods inherited from class jala.Form.Component.Input
`validate, save, getValue, setValue, render, renderError, renderLabel, renderHelp, render_macro, controls_macro, error_macro, label_macro, help_macro, id_macro, name_macro, type_macro, class_macro, getControlAttributes, checkLength, checkRequirements, parseValue`

Constructor Detail

### jala.Form.Component.Password

    jala.Form.Component.Password(<String> name)

Constructs a newly created Password component instance

Parameters:

`name` - Name of the component, used as name of the html controls.

Returns:

A newly created Password component instance

Method Detail

### renderControls

    void renderControls(<Object> attr, <Object> value, <Object> reqData)

Renders a password input tag to the response.

Parameters:

`attr` - Basic attributes for this element.

`value` - Value to be used for rendering this element.

`reqData` - Request data for the whole form. This argument is passed only if the form is re-rendered after an error occured.

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008